<?php
/**
 * @version		$Id: edocman.php 22795 2012-01-23 00:05:39Z dextercowley $
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

/**
 * Editor Edocman buton
 *
 * @package		Joomla.Plugin
 * @subpackage	Editors-xtd.edocman
 * @since 1.5
 */
class plgButtonEdocman extends JPlugin
{
	/**
	 * Constructor
	 *
	 * @access      protected
	 * @param       object  $subject The object to observe
	 * @param       array   $config  An array that holds the plugin configuration
	 * @since       1.5
	 */
	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage();
	}


	/**
	 * Display the button
	 *
	 * @return array A four element array of (article_id, article_title, category_id, object)
	 */
	function onDisplay($name)
	{		
		
		$linkType = $this->params->get('link_type', 0);
		if ($linkType == 0)
			$js = "
			function jSelectEdocman(id, title, object) {
				var tag = '<a href='+'\"index.php?option=com_edocman&amp;view=document&amp;id='+id+'\">'+title+'</a>';
				jInsertEditorText(tag, '".$name."');
				SqueezeBox.close();
			}";
		else 
			$js = "
			function jSelectEdocman(id, title, object) {
			var tag = '<a href='+'\"index.php?option=com_edocman&amp;task=document.download&amp;id='+id+'\">'+title+'</a>';
			jInsertEditorText(tag, '".$name."');
			SqueezeBox.close();
			}";
		$doc = JFactory::getDocument();
		$doc->addScriptDeclaration($js);
		$doc->addStyleSheet(JURI::root().'plugins/editors-xtd/edocman/css/style.css');
		

		JHtml::_('behavior.modal');
		$link = 'index.php?option=com_edocman&amp;view=documents&amp;layout=modal&amp;tmpl=component&amp;'.JSession::getFormToken().'=1';

		$button = new JObject();
		$button->set('modal', true);
		$button->set('link', $link);
		$button->set('text', JText::_('Edocman'));
		$button->set('name', 'edocman');
		$button->set('options', "{handler: 'iframe', size: {x: 800, y: 500}}");
        if (version_compare(JVERSION, '3.0', 'ge'))
        {
            $button->set('class', 'btn');
        }

		return $button;
	}
}
